## libvpx2 1.5.0-56~1

=== debian/changelog ===
libvpx2 (1.5.0-56~1-jessie+1) testing; urgency=low

  * Nightly build.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Feb 2016 20:12:02 -0500

libvpx2 (1.5.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 11:40:02 +0300
