=== debian/control ===
Source: libvpx2
Section: video
Priority: optional
Maintainer: FreeSWITCH Packages <packages@freeswitch.org>
Build-Depends: debhelper (>= 8.1.3),
               yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386]
Build-Depends-Indep: doxygen, php5-cli
Standards-Version: 3.9.6
Homepage: http://www.webmproject.org

Package: libvpx2-dev
Section: libdevel
Architecture: any
Depends: libvpx2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: VP8 and VP9 video codec (development files)
 VP8 and VP9 are open video codecs, originally developed by On2 and released
 as open source by Google Inc. They are the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with libvpx.

Package: libvpx2
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: VP8 and VP9 video codec (shared library)
 VP8 and VP9 are open video codecs, originally developed by On2 and released
 as open source by Google Inc. They are the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the shared libraries.

Package: libvpx2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libvpx2 (= ${binary:Version}),
         ${misc:Depends}
Description: VP8 and VP9 video codec (debugging symbols)
 VP8 and VP9 are open video codecs, originally developed by On2 and released
 as open source by Google Inc. They are the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 Debugging symbols for the VPX library. This is
 needed to debug programs linked against libvpx2.
