## libvpx2 1.5.0-59~1

=== debian/changelog ===
libvpx2 (1.5.0-59~1-sid+1) unstable; urgency=low

  * Nightly build.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Feb 2016 18:24:27 -0500

libvpx2 (1.5.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 11:40:02 +0300
